# DASetLocalJacobian

Caches in a DA a local Jacobian

### Synopsis

    #include "petscda.h"
    #undef __FUNCT__
    #define __FUNCT__ "DASetLocalJacobian"
    PetscErrorCode PETSCDM_DLLEXPORT DASetLocalJacobian(DA da,DALocalFunction1 lj)

Collective on DA

### Input Parameter

| da | - initial distributed array
| lj | - the local Jacobian

Notes: The routine SNESDAFormFunction() uses this the cached function to evaluate the user provided function.

### Keywords

distributed array, refine

### See Also

DACreate1d(), DACreate2d(), DACreate3d(), DADestroy(), DAGetLocalFunction(), DASetLocalFunction()

Level:intermediate
Location:src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5f.F.html